<div class="container max-width">
    <div class="py-5 text-center">

        <h2>Checkout</h2>
    </div>

    <div class="row">
        <div class="col-md-8">
            <div class="alert alert-danger" *ngIf="checkoutError" jhiTranslate="login.messages.error.authentication">
                <strong>Failed to sign in!</strong> Please check your credentials and try again.
            </div>
        </div>
        <!-- CART ITEMS -->
        <div class="col-md-4 order-md-2 mb-4">
            <h4 class="d-flex justify-content-between align-items-center mb-3">
                <span class="text-muted">Your cart</span>
                <!-- NB ORDER ITEMS -->
                <span class="badge badge-secondary badge-pill">{{orderLines?.length}}</span>
            </h4>
            <!-- ITEMS LIST -->
            <ul class="list-group mb-3">
                <!-- ORDER LINES -->
                <div *ngFor="let orderLine of orderLines">
                    <jhi-product-item [orderLine]="orderLine" ></jhi-product-item>
                </div>
                <!-- DISCOUNT APPLIED -->
                <li class="list-group-item d-flex justify-content-between bg-light">
                    <div class="text-success">
                        <h6 class="my-0">Promo code</h6>
                        <small>EXAMPLECODE</small>
                    </div>
                    <span class="text-success">-0 €</span>
                </li>

                <!-- TOTAL -->
                <li class="list-group-item d-flex justify-content-between">
                    <span>Total</span>
                    <strong>{{order?.totalPrice}} €</strong>
                </li>
            </ul>

            <!-- PROMO CODE -->
            <form class="card p-2">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Promo code">
                    <div class="input-group-append">
                        <button type="submit" class="btn btn-secondary">Apply</button>
                    </div>
                </div>
            </form>
        </div>

        <!-- BILLING -->
        <div class="col-md-8 order-md-1">
            <h4 class="mb-3">Billing address</h4>
            <form class="needs-validation" [formGroup]="checkoutForm" (ngSubmit)="processPayment()" novalidate>
                <div class="row">
                    <!-- FIRST NAME -->
                    <div class="col-md-6 mb-3">
                        <label for="firstName">First name</label>
                        <input type="text" class="form-control" id="firstName" placeholder="Ashley" formControlName="firstName" #firstName>

                        <div *ngIf="checkoutForm.get('firstName')!.invalid && (checkoutForm.get('firstName')!.dirty || checkoutForm.get('firstName')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('firstName')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your first name is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('firstName')?.errors?.pattern"
                                   jhiTranslate="global.messages.validate.email.invalid">
                                Your last name is invalid.
                            </small>
                        </div>
                    </div>
                    <!-- LAST NAME -->
                    <div class="col-md-6 mb-3">
                        <label for="lastName">Last name</label>
                        <input type="text" class="form-control" id="lastName" name="lastName" placeholder="Young" formControlName="lastName"  #lastName>

                        <div *ngIf="checkoutForm.get('lastName')!.invalid && (checkoutForm.get('lastName')!.dirty || checkoutForm.get('lastName')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('lastName')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your last name is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('lastName')?.errors?.pattern"
                                   jhiTranslate="global.messages.validate.email.invalid">
                                Your last name is invalid.
                            </small>
                        </div>

                    </div>
                </div>
                <!-- EMAIL -->
                <div class="mb-3">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" formControlName="email"  placeholder="you@example.com" #email>

                    <div *ngIf="checkoutForm.get('email')!.invalid && (checkoutForm.get('email')!.dirty || checkoutForm.get('email')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="checkoutForm.get('email')?.errors?.required"
                               jhiTranslate="global.messages.validate.email.required">
                            Your email is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="checkoutForm.get('email')?.errors?.email"
                               jhiTranslate="global.messages.validate.email.invalid">
                            Your email is invalid.
                        </small>
                    </div>

                </div>
                <!-- ADDRESS -->
                <div class="mb-3">
                    <label for="address">Address</label>
                    <input type="text" class="form-control" id="address" name="address" placeholder="1234 Main St" formControlName="address" #address>
                    <div *ngIf="checkoutForm.get('address')!.invalid && (checkoutForm.get('address')!.dirty || checkoutForm.get('address')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="checkoutForm.get('address')?.errors?.required"
                               jhiTranslate="register.messages.validate.login.required">
                            Your address is required.
                        </small>
                    </div>
                </div>

                <!-- COUNTRY -->
                <div class="row">
                    <div class="col-md-5 mb-3">
                        <label for="country">Country</label>
                        <select class="custom-select d-block w-100" id="country" name="country" formControlName="country" #country>
                            <option value="" disabled selected>Country</option>
                            <option>USA</option>
                            <option>ITALY</option>
                            <option>CHINA</option>
                            <option>SPAIN</option>
                            <option>CANADA</option>
                            <option>FRANCE</option>
                            <option>ENGLAND</option>
                        </select>
                    </div>
                    <!-- CITY -->
                    <div class="col-md-3 mb-3">
                        <label for="city">City</label>
                        <input type="text" class="form-control" id="city" name="city" placeholder="California" formControlName="city" #city>

                        <div *ngIf="checkoutForm.get('city')!.invalid && (checkoutForm.get('city')!.dirty || checkoutForm.get('city')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('city')?.errors?.required"
                                   jhiTranslate="global.messages.validate.email.required">
                                Your city is required.
                            </small>
                        </div>
                        <small class="form-text text-danger"
                               *ngIf="checkoutForm.get('city')?.errors?.pattern"
                               jhiTranslate="global.messages.validate.email.invalid">
                            Your last name is invalid.
                        </small>

                    </div>
                    <!-- ZIP -->
                    <div class="col-md-3 mb-3">
                        <label for="zip">Zip code</label>
                        <input type="text" class="form-control" id="zip" name="zip" placeholder="75000" formControlName="zip" #zip>
                        <div *ngIf="checkoutForm.get('zip')!.invalid && (checkoutForm.get('zip')!.dirty || checkoutForm.get('zip')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('zip')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your zip code is required.
                            </small>
                        </div>
                    </div>
                </div>

                <hr class="mb-4">

                <!-- PAYMENT METHOD -->
                <h4 class="mb-3">Payment</h4>
                <!--
                <div class="d-block my-3">
                    <div class="custom-control custom-radio">
                        <input id="credit" name="paymentMethod" type="radio" class="custom-control-input" checked required>
                        <label class="custom-control-label" for="credit">Credit card</label>
                    </div>
                    <div class="custom-control custom-radio">
                        <input id="debit" name="paymentMethod" type="radio" class="custom-control-input" required>
                        <label class="custom-control-label" for="debit">Debit card</label>
                    </div>
                    <div class="custom-control custom-radio">
                        <input id="paypal" name="paymentMethod" type="radio" class="custom-control-input" required>
                        <label class="custom-control-label" for="paypal">PayPal</label>
                    </div>
                </div>
                 -->
                <!-- CREDIT CARD INFO -->
                <div class="row">
                    <!-- CARD NAME -->
                    <div class="col-md-6 mb-3">
                        <label for="cardName">Name on card</label>
                        <input type="text" class="form-control" id="cardName" name="cardName" placeholder="Full name as displayed on card" formControlName="cardName" #cardName>
                        <div *ngIf="checkoutForm.get('cardName')!.invalid && (checkoutForm.get('cardName')!.dirty || checkoutForm.get('cardName')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cardName')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your zip code is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cardName')?.errors?.pattern"
                                   jhiTranslate="global.messages.validate.email.invalid">
                                Your last name is invalid.
                            </small>
                        </div>
                    </div>
                    <!-- CARD NO -->
                    <div class="col-md-6 mb-3">
                        <label for="cardNo">Credit card number</label>
                        <input maxlength="16" type="text" class="form-control" id="cardNo" placeholder="" name="cardNo" formControlName="cardNo" #cardNo>
                        <div *ngIf="checkoutForm.get('cardNo')!.invalid && (checkoutForm.get('cardNo')!.dirty || checkoutForm.get('cardNo')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cardNo')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your zip code is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cardNo')?.errors?.pattern"
                                   jhiTranslate="global.messages.validate.email.invalid">
                                Your zip code is invalid.
                            </small>
                        </div>
                    </div>
                </div>
                <!-- EXPIRATION -->
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label>Expiration</label>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <select class="custom-select d-block w-100" id="month" name="month" formControlName="month" #month>
                                    <option value="" disabled selected>Month</option>
                                    <option *ngFor='let in of [1,2,3,4,5,6,7,8,9,10,11,12];let i = index'>{{i+1}}</option>
                                </select>
                            </div>
                            <div class="col-md-6 mb-3">
                                <option value="">Year</option>
                                <select class="custom-select d-block w-100" id="year" name="year" formControlName="year" #year>
                                    <option value="" disabled selected hidden>Year</option>
                                    <option *ngFor='let in of [1,2,3,4,5,6,7,8];let i = index'>{{i+2020}}</option>
                                </select>

                            </div>
                        </div>

                    </div>
                    <!-- CVV -->
                    <div class="col-md-3 mb-3">
                        <label for="cvv">CVV</label>
                        <input maxlength="3" type="text" class="form-control" id="cvv" name="cvv" placeholder="000" formControlName="cvv" #cvv>
                        <div *ngIf="checkoutForm.get('cvv')!.invalid && (checkoutForm.get('cvv')!.dirty || checkoutForm.get('cvv')!.touched)">
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cvv')?.errors?.required"
                                   jhiTranslate="register.messages.validate.login.required">
                                Your zip code is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="checkoutForm.get('cvv')?.errors?.pattern"
                                   jhiTranslate="global.messages.validate.email.invalid">
                                Your zip code is invalid.
                            </small>
                        </div>
                    </div>
                </div>
                <hr class="mb-4">

                <!-- SAVE INFOS CHECKBOX -->
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" name="saveAddress" id="saveAddress" #saveAddress>
                    <label class="custom-control-label" for="saveAddress">Save this information for next time</label>
                </div>

                <hr class="mb-4">

                <button class="btn btn-secondary btn-lg btn-block" type="submit">Continue to checkout</button>
            </form>
        </div>
    </div>
</div>
